OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class XmlrpcdConfigFactory

    java.lang.Object
      org.opennms.netmgt.config.XmlrpcdConfigFactory

public final class XmlrpcdConfigFactory
extends java.lang.Object

This is the singleton class used to load the configuration for the OpenNMS xmlrpcd service from the xmlrpcd-configuration xml file. Note: Users of this class should make sure the init() is called before calling any other method to ensure the config is loaded before accessing other convenience methods.

Author:
  James Zuo , OpenNMS

Field Summary
`private XmlrpcdConfiguration` `m_config` The config class loaded from the config file
`private static boolean` `m_loaded` This member is set to true if the configuration file has been loaded.
`private static XmlrpcdConfigFactory` `m_singleton` The singleton instance of this factory

Constructor Summary
`private` `XmlrpcdConfigFactory(java.lang.String configFile)` Private constructor

Method Summary
`boolean` `eventSubscribed(java.lang.String uei)` This method is used to determine if an event of the named represented is subscribed by the external XMLRPC server.
`XmlrpcdConfiguration` `getConfiguration()` Return the xmlrpcd configuration object.
`int` `getElapseTime()` Retrieves configured elapse time between retries for xmlrpc communication.
`java.util.Enumeration` `getEventEnumeration()` Retrieves configured list of subscribed event uei.
`static XmlrpcdConfigFactory` `getInstance()` Return the singleton instance of this factory.
`int` `getMaxQueueSize()` Retrieves the max event queue size from configuration.
`int` `getRetries()` Retrieves configured retry number for xmlrpc communication.
`XmlrpcServer[]` `getXmlrpcServer()` Retrieves configured list of external xmlrpc servers.
`java.util.Enumeration` `getXmlrpcServerEnumeration()` Retrieves configured list of external xmlrpc servers.
`static void` `init()` Load the config from the default config file and create the singleton instance of this factory.
`static void` `reload()` Reload the config from the default config file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_singleton

    private static XmlrpcdConfigFactory m_singleton

  The singleton instance of this factory

### m_loaded

    private static boolean m_loaded

  This member is set to true if the configuration file has been loaded.

### m_config

    private XmlrpcdConfiguration m_config

  The config class loaded from the config file

Constructor Detail

### XmlrpcdConfigFactory

    private XmlrpcdConfigFactory(java.lang.String configFile)
                          throws java.io.IOException,
                                 org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Private constructor

Throws:
  `java.io.IOException` - Thrown if the specified config file cannot be read
  `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
  `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Load the config from the default config file and create the singleton instance of this factory.

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### reload

    public static void reload()
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Reload the config from the default config file

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read/loaded
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### getInstance

    public static XmlrpcdConfigFactory getInstance()

  Return the singleton instance of this factory.

  Returns:
    The current factory instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the factory has not yet been initialized.

### getConfiguration

    public XmlrpcdConfiguration getConfiguration()

  Return the xmlrpcd configuration object.

### eventSubscribed

    public boolean eventSubscribed(java.lang.String uei)

  This method is used to determine if an event of the named represented is subscribed by the external XMLRPC server.

  Parameters:
    `uei` - The uei to test against the subscribed events in the configuration file.
  Returns:
    True if named uei is subscribed in the subscribed event collection of the configuration file.

### getEventEnumeration

    public java.util.Enumeration getEventEnumeration()

  Retrieves configured list of subscribed event uei.

  Returns:
    an enumeration of subscribed event ueis.

### getXmlrpcServerEnumeration

    public java.util.Enumeration getXmlrpcServerEnumeration()

  Retrieves configured list of external xmlrpc servers.

  Returns:
    an enumeration of xmlrpc servers.

### getXmlrpcServer

    public XmlrpcServer[] getXmlrpcServer()

  Retrieves configured list of external xmlrpc servers.

  Returns:
    an array of xmlrpc servers.

### getRetries

    public int getRetries()

  Retrieves configured retry number for xmlrpc communication.

  Returns:
    the retry number.

### getElapseTime

    public int getElapseTime()

  Retrieves configured elapse time between retries for xmlrpc communication.

  Returns:
    the elapse time.

### getMaxQueueSize

    public int getMaxQueueSize()

  Retrieves the max event queue size from configuration.

  Returns:
    the max size of the xmlrpcd event queue.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.